Set Instance Auth
curl --request POST \
--url https://api.klavis.ai/mcp-server/instance/set-auth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "<string>",
"authData": {
"token": "<string>",
"api_key": "<string>"
}
}
'import requests
url = "https://api.klavis.ai/mcp-server/instance/set-auth"
payload = {
"instanceId": "<string>",
"authData": {
"token": "<string>",
"api_key": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({instanceId: '<string>', authData: {token: '<string>', api_key: '<string>'}})
};
fetch('https://api.klavis.ai/mcp-server/instance/set-auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({instanceId: '<string>', authData: {token: '<string>', api_key: '<string>'}})
};
fetch('https://api.klavis.ai/mcp-server/instance/set-auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Instance Auth / OAuth
Set Instance Auth
Sets authentication data for a specific integration instance. Accepts either API key authentication or general authentication data. This updates the auth_metadata for the specified integration instance.
POST
/
mcp-server
/
instance
/
set-auth
Set Instance Auth
curl --request POST \
--url https://api.klavis.ai/mcp-server/instance/set-auth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "<string>",
"authData": {
"token": "<string>",
"api_key": "<string>"
}
}
'import requests
url = "https://api.klavis.ai/mcp-server/instance/set-auth"
payload = {
"instanceId": "<string>",
"authData": {
"token": "<string>",
"api_key": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({instanceId: '<string>', authData: {token: '<string>', api_key: '<string>'}})
};
fetch('https://api.klavis.ai/mcp-server/instance/set-auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({instanceId: '<string>', authData: {token: '<string>', api_key: '<string>'}})
};
fetch('https://api.klavis.ai/mcp-server/instance/set-auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Klavis AI API key.
Body
application/json
